# HierarchyBuilderIntervalBased.Range (ARX GUI Documentation)

org.deidentifier.arx.aggregates

## Class HierarchyBuilderIntervalBased.Range<U>

- java.lang.Object
- - org.deidentifier.arx.aggregates.HierarchyBuilderIntervalBased.Range<U>

- Type Parameters:
    `U` -
  All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    HierarchyBuilderIntervalBased<T>

      public static class HierarchyBuilderIntervalBased.Range<U>
      extends java.lang.Object
      implements java.io.Serializable

  For each direction, this class encapsulates three bounds. Intervals will be repeated until the repeat-bound is reached. The outmost intervals will than be extended to the snap-bound. Values between the snap-bound and the label-bound will be replaced by an out-of-bounds-label. For values larger than the label-bound exceptions will be raised.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyBuilderIntervalBased.Range(U repeatBound, U snapBound, U labelBound)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `U` | `getLabelBound()`
    `U` | `getRepeatBound()`
    `U` | `getSnapBound()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HierarchyBuilderIntervalBased.Range

          public HierarchyBuilderIntervalBased.Range(U repeatBound,
                                             U snapBound,
                                             U labelBound)

      Creates a new instance.
      Parameters:
        `repeatBound` -
        `snapBound` -
        `labelBound` -

  - ### Method Detail

    - #### getLabelBound

          public U getLabelBound()

      Returns:
        the labelBound

    - #### getRepeatBound

          public U getRepeatBound()

      Returns:
        the repeatBound

    - #### getSnapBound

          public U getSnapBound()

      Returns:
        the snapBound

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`